com.genesyslab.wfm8.API.service.config812

## Class CfgReportTaskHolder

- java.lang.Object
- - com.genesyslab.wfm8.API.service.config812.CfgReportTaskHolder

- All Implemented Interfaces:
    java.io.Serializable

      public class CfgReportTaskHolder
      extends java.lang.Object
      implements java.io.Serializable

  CfgReportHolder contains the response to the request to load the `CfgReportTask` or `CfgReportTaskShort` information.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.util.List<CfgReportTask>` | `objectArray` An array of `CfgReportTask`, returned if request specifies ECfgInfoType.CFG_INFO_OBJECT detail level
    `protected int` | `objectArrayNSizeIs` Number of elements in objectArray array
    `protected java.util.List<java.lang.Integer>` | `objectIDArray` An array of Report Task IDs, returned if request specifies ECfgInfoType.CFG_INFO_OBJECT_ID detail level
    `protected int` | `objectIDArrayNSizeIs` Number of elements in objectIDArray array
    `protected java.util.List<CfgReportTaskShort>` | `objectShortArray` An array of `CfgReportTaskShort`, returned if request specifies ECfgInfoType.CFG_INFO_OBJECT_SHORT detail level
    `protected int` | `objectShortArrayNSizeIs` Number of elements in objectShortArray array
    `private static long` | `serialVersionUID`
    `protected long` | `timestamp` A timestamp value -- marks the point in time when response information was returned
    `protected java.util.List<CfgUserShort>` | `userInfo` An array of corresponding `CfgUserShort` information
    `protected int` | `userInfoNSizeIs` Number of elements in userInfo array

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CfgReportTaskHolder()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object that)`
    `java.util.List<CfgReportTask>` | `getObjectArray()` Gets the value of the objectArray property.
    `int` | `getObjectArrayNSizeIs()` Gets the value of the objectArrayNSizeIs property.
    `java.util.List<java.lang.Integer>` | `getObjectIDArray()` Gets the value of the objectIDArray property.
    `int` | `getObjectIDArrayNSizeIs()` Gets the value of the objectIDArrayNSizeIs property.
    `java.util.List<CfgReportTaskShort>` | `getObjectShortArray()` Gets the value of the objectShortArray property.
    `int` | `getObjectShortArrayNSizeIs()` Gets the value of the objectShortArrayNSizeIs property.
    `long` | `getTimestamp()` Gets the value of the timestamp property.
    `java.util.List<CfgUserShort>` | `getUserInfo()` Gets the value of the userInfo property.
    `int` | `getUserInfoNSizeIs()` Gets the value of the userInfoNSizeIs property.
    `int` | `hashCode()`
    `void` | `setObjectArray(java.util.List<CfgReportTask> objectArray)` Sets the value of the objectArray property.
    `void` | `setObjectArrayNSizeIs(int value)` Sets the value of the objectArrayNSizeIs property.
    `void` | `setObjectIDArray(java.util.List<java.lang.Integer> objectIDArray)` Sets the value of the objectIDArray property.
    `void` | `setObjectIDArrayNSizeIs(int value)` Sets the value of the objectIDArrayNSizeIs property.
    `void` | `setObjectShortArray(java.util.List<CfgReportTaskShort> objectShortArray)` Sets the value of the objectShortArray property.
    `void` | `setObjectShortArrayNSizeIs(int value)` Sets the value of the objectShortArrayNSizeIs property.
    `void` | `setTimestamp(long value)` Sets the value of the timestamp property.
    `void` | `setUserInfo(java.util.List<CfgUserShort> userInfo)` Sets the value of the userInfo property.
    `void` | `setUserInfoNSizeIs(int value)` Sets the value of the userInfoNSizeIs property.
    `java.lang.String` | `toString()`
    `CfgReportTaskHolder` | `withObjectArray(CfgReportTask... values)`
    `CfgReportTaskHolder` | `withObjectArray(java.util.Collection<CfgReportTask> values)`
    `CfgReportTaskHolder` | `withObjectArrayNSizeIs(int value)`
    `CfgReportTaskHolder` | `withObjectIDArray(java.util.Collection<java.lang.Integer> values)`
    `CfgReportTaskHolder` | `withObjectIDArray(java.lang.Integer... values)`
    `CfgReportTaskHolder` | `withObjectIDArrayNSizeIs(int value)`
    `CfgReportTaskHolder` | `withObjectShortArray(CfgReportTaskShort... values)`
    `CfgReportTaskHolder` | `withObjectShortArray(java.util.Collection<CfgReportTaskShort> values)`
    `CfgReportTaskHolder` | `withObjectShortArrayNSizeIs(int value)`
    `CfgReportTaskHolder` | `withTimestamp(long value)`
    `CfgReportTaskHolder` | `withUserInfo(CfgUserShort... values)`
    `CfgReportTaskHolder` | `withUserInfo(java.util.Collection<CfgUserShort> values)`
    `CfgReportTaskHolder` | `withUserInfoNSizeIs(int value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### objectIDArrayNSizeIs

          protected int objectIDArrayNSizeIs

      Number of elements in objectIDArray array

    - #### objectIDArray

          protected java.util.List<java.lang.Integer> objectIDArray

      An array of Report Task IDs, returned if request specifies ECfgInfoType.CFG_INFO_OBJECT_ID detail level

    - #### objectArrayNSizeIs

          protected int objectArrayNSizeIs

      Number of elements in objectArray array

    - #### objectArray

          protected java.util.List<CfgReportTask> objectArray

      An array of `CfgReportTask`, returned if request specifies ECfgInfoType.CFG_INFO_OBJECT detail level

    - #### objectShortArrayNSizeIs

          protected int objectShortArrayNSizeIs

      Number of elements in objectShortArray array

    - #### objectShortArray

          protected java.util.List<CfgReportTaskShort> objectShortArray

      An array of `CfgReportTaskShort`, returned if request specifies ECfgInfoType.CFG_INFO_OBJECT_SHORT detail level

    - #### userInfoNSizeIs

          protected int userInfoNSizeIs

      Number of elements in userInfo array

    - #### userInfo

          protected java.util.List<CfgUserShort> userInfo

      An array of corresponding `CfgUserShort` information

    - #### timestamp

          protected long timestamp

      A timestamp value -- marks the point in time when response information was returned

  - ### Constructor Detail

    - #### CfgReportTaskHolder

          public CfgReportTaskHolder()

  - ### Method Detail

    - #### getObjectIDArrayNSizeIs

          public int getObjectIDArrayNSizeIs()

      Gets the value of the objectIDArrayNSizeIs property.

    - #### setObjectIDArrayNSizeIs

          public void setObjectIDArrayNSizeIs(int value)

      Sets the value of the objectIDArrayNSizeIs property.

    - #### getObjectIDArray

          public java.util.List<java.lang.Integer> getObjectIDArray()

      Gets the value of the objectIDArray property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the objectIDArray property.

      For example, to add a new item, do as follows:

              getObjectIDArray().add(newItem);

      Objects of the following type(s) are allowed in the list `Integer`

    - #### getObjectArrayNSizeIs

          public int getObjectArrayNSizeIs()

      Gets the value of the objectArrayNSizeIs property.

    - #### setObjectArrayNSizeIs

          public void setObjectArrayNSizeIs(int value)

      Sets the value of the objectArrayNSizeIs property.

    - #### getObjectArray

          public java.util.List<CfgReportTask> getObjectArray()

      Gets the value of the objectArray property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the objectArray property.

      For example, to add a new item, do as follows:

              getObjectArray().add(newItem);

      Objects of the following type(s) are allowed in the list `CfgReportTask`

    - #### getObjectShortArrayNSizeIs

          public int getObjectShortArrayNSizeIs()

      Gets the value of the objectShortArrayNSizeIs property.

    - #### setObjectShortArrayNSizeIs

          public void setObjectShortArrayNSizeIs(int value)

      Sets the value of the objectShortArrayNSizeIs property.

    - #### getObjectShortArray

          public java.util.List<CfgReportTaskShort> getObjectShortArray()

      Gets the value of the objectShortArray property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the objectShortArray property.

      For example, to add a new item, do as follows:

              getObjectShortArray().add(newItem);

      Objects of the following type(s) are allowed in the list `CfgReportTaskShort`

    - #### getUserInfoNSizeIs

          public int getUserInfoNSizeIs()

      Gets the value of the userInfoNSizeIs property.

    - #### setUserInfoNSizeIs

          public void setUserInfoNSizeIs(int value)

      Sets the value of the userInfoNSizeIs property.

    - #### getUserInfo

          public java.util.List<CfgUserShort> getUserInfo()

      Gets the value of the userInfo property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the userInfo property.

      For example, to add a new item, do as follows:

              getUserInfo().add(newItem);

      Objects of the following type(s) are allowed in the list `CfgUserShort`

    - #### getTimestamp

          public long getTimestamp()

      Gets the value of the timestamp property.

    - #### setTimestamp

          public void setTimestamp(long value)

      Sets the value of the timestamp property.

    - #### withObjectIDArrayNSizeIs

          public CfgReportTaskHolder withObjectIDArrayNSizeIs(int value)

    - #### withObjectIDArray

          public CfgReportTaskHolder withObjectIDArray(java.lang.Integer... values)

    - #### withObjectIDArray

          public CfgReportTaskHolder withObjectIDArray(java.util.Collection<java.lang.Integer> values)

    - #### withObjectArrayNSizeIs

          public CfgReportTaskHolder withObjectArrayNSizeIs(int value)

    - #### withObjectArray

          public CfgReportTaskHolder withObjectArray(CfgReportTask... values)

    - #### withObjectArray

          public CfgReportTaskHolder withObjectArray(java.util.Collection<CfgReportTask> values)

    - #### withObjectShortArrayNSizeIs

          public CfgReportTaskHolder withObjectShortArrayNSizeIs(int value)

    - #### withObjectShortArray

          public CfgReportTaskHolder withObjectShortArray(CfgReportTaskShort... values)

    - #### withObjectShortArray

          public CfgReportTaskHolder withObjectShortArray(java.util.Collection<CfgReportTaskShort> values)

    - #### withUserInfoNSizeIs

          public CfgReportTaskHolder withUserInfoNSizeIs(int value)

    - #### withUserInfo

          public CfgReportTaskHolder withUserInfo(CfgUserShort... values)

    - #### withUserInfo

          public CfgReportTaskHolder withUserInfo(java.util.Collection<CfgUserShort> values)

    - #### withTimestamp

          public CfgReportTaskHolder withTimestamp(long value)

    - #### setObjectIDArray

          public void setObjectIDArray(java.util.List<java.lang.Integer> objectIDArray)

      Sets the value of the objectIDArray property.
      Parameters:
        `objectIDArray` - allowed object is `Integer`

    - #### setObjectArray

          public void setObjectArray(java.util.List<CfgReportTask> objectArray)

      Sets the value of the objectArray property.
      Parameters:
        `objectArray` - allowed object is `CfgReportTask`

    - #### setObjectShortArray

          public void setObjectShortArray(java.util.List<CfgReportTaskShort> objectShortArray)

      Sets the value of the objectShortArray property.
      Parameters:
        `objectShortArray` - allowed object is `CfgReportTaskShort`

    - #### setUserInfo

          public void setUserInfo(java.util.List<CfgUserShort> userInfo)

      Sets the value of the userInfo property.
      Parameters:
        `userInfo` - allowed object is `CfgUserShort`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.